Package ghidra.app.util.bin.format.dwarf4.encoding

# Enum Class DWARFInline

java.lang.Object
java.lang.Enum<DWARFInline>
ghidra.app.util.bin.format.dwarf4.encoding.DWARFInline

All Implemented Interfaces:
  `Serializable`, `Comparable<DWARFInline>`, `Constable`

public enum DWARFInline extends Enum<DWARFInline>
DWARF inline encodings from www.dwarfstd.org/doc/DWARF4.pdf

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DW_INL_declared_inlined`
  `DW_INL_declared_not_inlined`
  `DW_INL_inlined`
  `DW_INL_not_inlined`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DWARFInline`
  `find(Number key)`
  Find the accessibility value given a Number value.
  `int`
  `getValue()`
  Get the integer value of this enum.
  `static DWARFInline`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DWARFInline[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DW_INL_not_inlined

    public static final DWARFInline DW_INL_not_inlined

  - ### DW_INL_inlined

    public static final DWARFInline DW_INL_inlined

  - ### DW_INL_declared_not_inlined

    public static final DWARFInline DW_INL_declared_not_inlined

  - ### DW_INL_declared_inlined

    public static final DWARFInline DW_INL_declared_inlined

- ## Method Details

  - ### values

    public static DWARFInline[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DWARFInline valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()
    Get the integer value of this enum.
    Returns:
      the integer value of the enum

  - ### find

    public static DWARFInline find(Number key)
    Find the accessibility value given a Number value.
    Parameters:
      `key` - Number value to check
    Returns:
      DWARFAccessibility enum if it exists
    Throws:
      `IllegalArgumentException` - if the key is not found